#include "main-base.hpp"
#include "test-Camera.hpp"

namespace Test
{
	void Camera::OnPass1()
	{
		RVPASS1STATE;
	}

	Camera::Camera(const M4f &pos)
		: camera(pos)
	{
		SCN().AddCamera(camera);
	}

	Camera::~Camera()
	{
		SCN().RemoveCamera(camera);
	}
}
